<!doctype html>
<html lang="en" class="h-100">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="baseUrl" content="<?php echo e(url('/')); ?>">
    <link rel=icon href="web_assets/img/favicon.png" sizes="20x20" type="image/png">
    <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('app.name')); ?></title>
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700|Varela+Round" rel="stylesheet">
    <?php echo $__env->make('website.inc.stylesheet', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->yieldContent('css'); ?>
    <?php if(session()->has('userData')): ?>
    <?php
    $userData = session('userData');
    ?>
    <?php echo $__env->make('website.inc.inner-header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php else: ?>
    <?php echo $__env->make('website.inc.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>





</head>

<body class="">
    <?php echo $__env->yieldContent('content'); ?>
    <?php echo $__env->yieldContent('modal'); ?>
    <?php echo $__env->make('website.inc.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


</body>
<?php echo $__env->make('website.inc.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php echo $__env->yieldContent('script'); ?><?php /**PATH /var/www/html/homespector/web/resources/views/layout/website.blade.php ENDPATH**/ ?>