
<?php $__env->startSection('title'); ?> Sign Up <?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<section class="vh-100 section-img bg-overlay-theme-black-90 ">
    <div class="signup-section">
        <div class="signup">
            <div class="header">
                <a href="index.php">
                    <img src="web_assets/img/logo.svg" alt="" class="img-fluid">
                </a>
                <h1 class="title">Create Account</h1>
                <span class="subtitle">You need to add your account info.</span>
            </div>
            <div class="body">

            
                <form id="signup" action="<?php echo e(route('website.sendSignupOTP')); ?>" method="post" autocomplete="off">
                    <?php echo csrf_field(); ?>
                    <div class="form-group form-float">
                        <div class="form-line">
                            <input type="text" id="full_name" name="full_name" placeholder="Enter Full Name">
                            <?php $__errorArgs = ['full_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <label class="error" role="alert"><?php echo e($message); ?></label>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="form-group form-float">
                        <div class="form-line">
                            <input type="email" id="email" name="email" placeholder="Enter Email" autocomplete="new-password">
                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <label class="error" role="alert"><?php echo e($message); ?></label>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>

                    <div class="form-group form-float">
                        <div class="form-line" style="margin-top:20px !important;">

                            <label>Phone</label>
                            <div class="phone-number">
                                <select class="form-select border-bottom" id="country_code" name="country_code" aria-label="Default select example">
                                    <option value="+91">+91</option>
                                    <option value="+124">+124</option>
                                    <option value="+0012">+0012</option>
                                </select>
                                <input type="text" required="" style="margin-top:0 !important;" name="phone_number" id="phone_number" placeholder="Phone Number">
                            </div>
                            <?php $__errorArgs = ['phone_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <label class="error" role="alert"><?php echo e($message); ?></label>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="form-group form-float">
                        <div class="form-line">
                            <input type="password" id="password" name="password" placeholder="Create Password" autocomplete="new-password">
                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <label class="error" role="alert"><?php echo e($message); ?></label>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="form-group form-float">
                        <div class="form-line">
                            <input type="password" id="confirm_password" name="confirm_password" placeholder="Confirm Password" autocomplete="new-password">
                            <?php $__errorArgs = ['confirm_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <label class="error" role="alert"><?php echo e($message); ?></label>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="form-group form-float">
                        <div class="form-line">

                            <div class="custom-control custom-checkbox" style="color: #212529 !important;margin-top:20px !important;">
                                <input type="checkbox" class="custom-control-input" id="customCheck1" value="checked" name="customCheck1">
                                <label class="custom-control-label" for="customCheck1">I agree with <strong>Terms & Conditions</strong> and <strong>Privacy Policy</strong></label>
                                <?php $__errorArgs = ['customCheck1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <label class="error" role="alert"><?php echo e($message); ?></label>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="timezone" id="timezone" value="">
                    <input type="submit" style="background-color: var(--ltn__secondary-color) !important;font-size: 18px;padding: 12px 30px !important;    height: 57px !important;" value="Sign Up" class="btn btn-raised btn-yellow waves-effect btn btn-orange w-100 mt-3">

                </form>
                <div class="text-center p-2">
                    Already have an account?<a href="<?php echo e(route('website.login')); ?>" class="text-black fw-bold"> Sign In</a>
                </div>
            </div>
        </div>
    </div>

</section>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<!-- <script src="<?php echo e(asset('assets/js/jstz.min.js')); ?>"></script> -->
<script src="web_assets/js/jstz.min.js"></script>
<script>
    var timezone = jstz.determine();
    $('#timezone').val(timezone.name());

    jQuery.validator.addMethod("validEmail", function(value, element) {
        var emailRegex = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return this.optional(element) || (emailRegex.test(String(value).toLowerCase()));
    }, "Please enter a valid email");

    $("#signup").validate({
        rules: {
            "full_name": {
                required: true,
                lettersOnly: true,
            },
            "email": {
                required: true,
                email: email,
                validEmail: true,
            },
            "country_code": {
                required: true,
            },
            "phone_number": {
                required: true,
                number: true,
                minlength: 10,
                maxlength: 10,
                // remote: {
                //     type: 'post',
                //     url: "" ,
                //     data: {
                //         '_token': "<?php echo e(csrf_token()); ?>",
                //         'mobile_number': function () { 
                //             return $('#mobile_number').val(); 
                //         },
                //         // 'country_code': function() {
                //         //     return $('#country_code').val();
                //         // },

                //     },
                // },
            },
            "password": {
                required: true,
                minlength: 8,
                maxlength: 30,
                containsUppercase: true,
                containsSpecialChar: true,
            },
            "confirm_password": {
                required: true,
                equalTo: '#password'
            },
            "customCheck1": {
                required: true,
            },
        },
        messages: {
            full_name: {
                required: "Please enter full name",
                lettersOnly: 'Please enter characters only',
            },
            email: {
                required: "Please enter email",
                email: "Please enter a valid email",
            },
            country_code: {
                required: "Please enter county code",
            },
            phone_number: {
                required: "Please enter phone number",
                number: "Please enter only number",
                minlength: 'Mobile number must be 10 digits',
                maxlength: 'Mobile number must be 10 digits',
                // remote:'Mobile number already exist',
            },
            password: {
                required: 'Please enter password',
                minlength: 'Password should be of minimum {0} characters',
                maxlength: 'Password should not be of more than {0} characters',
                containsUppercase: "Password should contain at least one uppercase letter",
                containsSpecialChar: "Password should contain at least one special character",
            },
            confirm_password: {
                required: 'Please enter confirm password',
                equalTo: 'Password mismatch'
            },
            customCheck1: {
                required: "Please accept terms and conditions",
            },
        },
        submitHandler: function(form) {
            loader('show');
            form.submit();
        },
        highlight: function(input) {
            $(input).parents('.form-line').addClass('error');
        },
        unhighlight: function(input) {
            $(input).parents('.form-line').removeClass('error');
        },
        errorPlacement: function(error, element) {
            $(element).parents('.form-group').append(error);
        }
    });
    $.validator.addMethod("lettersOnly", function(value, element) {
        return this.optional(element) || /^[A-Za-z\s]+$/.test(value);
    }, "Please enter only characters");
    $.validator.addMethod("containsUppercase", function(value, element) {
        return /[A-Z]/.test(value);
    }, "Password should contain at least one uppercase letter");

    // Custom validation method to check for at least one special character
    $.validator.addMethod("containsSpecialChar", function(value, element) {
        return /[!@#$%^&*]/.test(value);
    }, "Password should contain at least one special character");
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.website', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/homespector/web/resources/views/website/auth/signup.blade.php ENDPATH**/ ?>