
@extends('layout.admin')

@section('title') Dashboard @endsection
@section('css')
@endsection
@section('content')
{{-- @php
use App\Helpers\Admin as AdminHelper;
$curentUser = AdminHelper::currentUser();

use App\Helpers\NotificationHelper;
$orders = AdminHelper::checkPermission($curentUser->id,'Orders','View');
$customers = AdminHelper::checkPermission($curentUser->id,'Customers','View');
$restaurants = AdminHelper::checkPermission($curentUser->id,'Restaurants','View');

$sub_admins = AdminHelper::checkPermission($curentUser->id,'Sub Admins','View');

@endphp --}}

<style type="text/css">
    .text-decoration-none {
        text-decoration: none !important;
    }
</style>
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Dashboard </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">

                    <li class="breadcrumb-item active">Dashboard</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            @if(session()->has('message'))
            <div class="alert alert-success">
                {{ session()->get('message') }}
            </div>
            @endif
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Dashboard
                        <small class="text-muted">Welcome to {{ config('app.name') }}</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ul>
                </div>
            </div>
        </div>
        
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-4 col-sm-12">
                    <div class="card card-grid">
                        <ul class="row profile_state list-unstyled">
                            <li class="col-lg-4 col-md-4 col-6">
                                <a href="{{ route('admin.user.list')}}" class="text-decoration-none">
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="material-icons">group</i>
                                        </div>
                                        <h4>{{$user_count}}</h4>
                                        <span class="active">Total Users</span>
                                    </div>
                                </a>
                            </li>
                            <li class="col-lg-4 col-md-4 col-6">
                                <a href="{{ route('admin.reports.list')}}" class="text-decoration-none">
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="material-icons">report</i>
                                        </div>
                                        <h4>{{$report_count}}</h4>
                                        <span class="active">Total Reports</span>
                                    </div>
                                </a>
                            </li>
                            <li class="col-lg-4 col-md-4 col-6">
                                <a href="{{ route('admin.payout.list')}}" class="text-decoration-none">
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="material-icons">payment</i>
                                        </div>
                                        <h4>{{$payout_count}}</h4>
                                        <span class="active">Total Reports</span>
                                    </div>
                                </a>
                            </li>

                            
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection