@extends('layouts.afterlogin')

@section('content')
<div class="container-fluid">
    <div class="block-header">
        <div class="row">
            <div class="col-lg-7 col-md-6 col-sm-12">
                <h2>
                    Faq Details
                </h2>
            </div>
            <div class="col-lg-5 col-md-6 col-sm-12">
                <ul class="breadcrumb float-md-right">
                    <li class="breadcrumb-item">
                        <a href="{{ route('admin.dashboard') }}">
                            <i class="zmdi zmdi-home"></i>Dashboard
                        </a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{{ route('admin.faq.faqs') }}">
                        Faq List
                        </a>
                    </li>
                    <li class="breadcrumb-item active">
                    Faq Details
                    </li>
                </ul>
            </div>
        </div>
    </div>

    <div class="row clearfix">
        <div class="col-lg-12 col-md-12">

            <div class="card member-card">
                <!-- <br> -->

                <div class="body">

                    <div class="card">
                        <div class="row text-left">

                            <div class="body table-responsive">

                                <div class="col-lg-12 col-md-12">
                                    <h4 class=""><b>Faq Information</b></h4>

                                    <div class="p-20">
                                        <div class="row clearfix">

                                            <div class="col-md-12 ">
                                                <div class="about-info-p">
                                                    <strong>Question</strong>
                                                    <br>
                                                    <p class="text-muted">
                                                    {{ $faq->question }}
                                                    </p>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="about-info-p">
                                                    <strong>Answer</strong>
                                                    <br>
                                                    @php
                                                    echo $faq->answer;
                                                    @endphp
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="about-info-p">
                                                    <strong>Is Active</strong>
                                                    <br>
                                                    <p class="text-muted">
                                                        @if($faq->is_active == '1')
                                                        Yes
                                                        @else
                                                        No
                                                        @endif
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <a href="{{ route('admin.faq.faqs') }}" class="btn btn-raised btn-default waves-effect m-t-20" style="text-align:center; background:black !important; color:#ff3333 !important;">
                                                    Back
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection