<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <meta name="baseUrl" content="{{ url('/') }}">
        <title>@yield('title') | {{ config('app.name') }}</title>
        @include('admin.common.stylesheet')
     
        @yield('css')
        
    </head>
    <body class="theme-orange">
        @include('admin.common.loader')
        <div class="page-wrapper">
            @include('admin.common.header')
            @include('admin.common.sidebar')
            @yield('content')
            @yield('modal')
        </div>
        @include('admin.common.footer')
        @include('admin.common.toastNotification')
    </body>
    <style>
        .attribute_div,
        .attr_combination_div {
        border: solid gray;
        }
        [type="checkbox"]:not(:checked), [type="checkbox"]:checked{
            opacity: unset!important;
        }
        </style>
</html>
