<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Page Title -->
    <title>@yield('title') | {{ __('home.appname') }}</title>

    <!-- Meta Data -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <!--  <meta name="viewport" content="width=device-width, initial-scale=1">-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />



    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    @include('web.common.stylesheet')

</head>
@php

$routename = Route::current()->getName();
@endphp

<body class="inner-page">
    @php

    $cust_id = Session::get('cust_user_id');
    @endphp

    @include('waiter.common.header')

    @yield('content')

    @include('waiter.common.footer')



    @include('waiter.common.script')
    <script type="text/javascript">
        var exist_notification = $('.cart_count').html();

        function fetchdata() {
            $.ajax({
                type: "GET",
                url: "{{ route('waiter.notificationcount') }}",
                dataType: 'json',
                success: function(res) {
                    var new_notification = res.count;
                    var exist_notification = $('.cart_count').html();
                    if (new_notification != exist_notification) {
                        $('.cart_count').html(new_notification);
                    }
                }

            });
        }
        const myInterval = setInterval(fetchdata, 5000);
    </script>
</body>

</html>