<!doctype html>
<html lang="en" class="h-100">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="baseUrl" content="{{ url('/') }}">
    <link rel=icon href="web_assets/img/favicon.png" sizes="20x20" type="image/png">
    <title>@yield('title') | {{ config('app.name') }}</title>
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700|Varela+Round" rel="stylesheet">
    @include('website.inc.stylesheet')

    @yield('css')
    @if(session()->has('userData'))
    @php
    $userData = session('userData');
    @endphp
    @include('website.inc.inner-header')
    @else
    @include('website.inc.header')
    @endif





</head>

<body class="">
    @yield('content')
    @yield('modal')
    @include('website.inc.footer')


</body>
@include('website.inc.script')

@yield('script')