@extends('layout.website')
@section('title') Inspection Details @endsection



@section('content')
<div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image " data-bs-bg="assets/img/bg/14.jpg">
     <div class="container pt-0">
          <h1 class="page-title text-white">Settings</h1>
          <div class="ltn__breadcrumb-list">
               <ul>
                    <li><a href="home.php" class="ltn__secondary-color"><span class="ltn__secondary-color"><i class="fas fa-home"></i></span>
                              Home</a></li>
                    <li>Settings</li>
               </ul>
          </div>
     </div>
</div>
<!-- Start MAIN CONTENT -->
<div class="main_content">
     <div class="container">
          <div class="row justify-content-center">
               <div class="col-12 col-lg-9">
                    <div class="text-center pt-5">
                         <a href="#"><img src="web_assets/img/bg/bank.png" alt="" class="img-fluid  align-items-center text-center mb-1"></a>
                         <h1 class="title">Add Bank Info</h1>
                         <p class="para-text">All transactions would be done with this
                              bank account</p>
                         <div class="bank-info mt-2">
                              <div class="email"></div>
                              @foreach($bank_data as $bankData)
                              <h5 style="justify-content: center;" class="email">{{$bankData->name}}</h5>
                              @endforeach
                              <hr>
                              @foreach($data as $bank)
                              @if(!empty($bank))
                              <div class="email">
                                   <h6 class="email-title">Account Holder</h6>
                                   <span class="id-number">
                                        {{$bank->account_holder_name}}
                                   </span>
                              </div>
                              <hr>
                              <div class="email">
                                   <h6 class="email-title">Account Number</h6>
                                   <span class="id-number">
                                        {{$bank->account_number}}
                                   </span>
                              </div>
                              <hr>
                              <div class="email">
                                   <h6 class="email-title">Routing Number</h6>
                                   <span class="id-number">
                                        {{$bank->routing_number}}
                                   </span>
                              </div>
                              @else
                              <div class="email">
                                   <h6 class="email-title">Account Holder</h6>
                                   <span class="id-number">
                                   </span>
                              </div>
                              <hr>
                              <div class="email">
                                   <h6 class="email-title">Account Number</h6>
                                   <span class="id-number">
                                   </span>
                              </div>
                              <hr>
                              <div class="email">
                                   <h6 class="email-title">Routing Number</h6>
                                   <span class="id-number">
                                   </span>
                              </div>
                              <hr>
                              @endif
                              @endforeach
                         </div>
                         @if(!empty($bank))
                         <a href="{{route('website.delete_bank', $bank->id)}}" class="delet-title"><img src="web_assets/img/bg/delet.png" style="margin-right:-24px;">Delete Bank</a>
                         @endif
                    </div>
               </div>
          </div>
     </div>
</div>

@endsection