@extends('layout.website')
@section('title') Create/Edit-Contract @endsection
@section('content')

    <div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image " data-bs-bg="web_assets/img/bg/14.jpg">
        <div class="container pt-0">
            <h1 class="page-title text-white">Create/Edit-Contract</h1>
            <div class="ltn__breadcrumb-list">
                <ul>
                    <li><a href="{{route('website.home')}}" class="ltn__secondary-color"><span class="ltn__secondary-color"><i
                                    class="fas fa-home"></i></span>
                            Home</a></li>
                    <li>Create/Edit-Contract</li>
                </ul>
            </div>
        </div>
    </div>


    <!-- Start MAIN CONTENT -->
    <div class="main_content">
        <div class="container">
            <div class="section-contarct">
                <div class="left-contarct">
                    <div class="ltn__product-item ltn__product-item-4 ltn__product-item-5 text-center---">
                        <div class="product-body">
                            <div class="product-img">
                                <a href="product-details.html"><img src="web_assets/img/product-3/1.jpg" alt="#"></a>
                            </div>
                            <div class="product-info">
                                <span class="">4 Apr, 2021 at 6:00 pm</span>
                                <h2 class="product-title">97 Duck Woods Dr kitty</h2>
                                <h2 class="product-title">Hawk Nc 27949</h2>
                                <h3 class="product-title-h3">Inspector: James</h3>
                            </div>
                        </div>
                        <div class="product-footer">
                            <ul class="ltn__list-item-2--- ltn__list-item-2-before--- ltn__plot-brief set-respbox">
                                <li class="paid"><span><img src="web_assets/img/bg/paid.png"></span>
                                    Paid
                                </li>
                                <li class="signature"><span><img src="web_assets/img/bg/signature.png"></span>
                                    Signature Needed
                                </li>
                                <li class="comment ms-3"><span><img src="web_assets/img/bg/comment.png">
                                    </span>
                                    235
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="right-contarct">
                    <h1 class="title">Inspection Details</h1>
                    <div class="accordion mb-4" id="contractaccordian">
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne">
                                <button class="accordion-button  w-100" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    <span class="title"> Inspection Contract</span>
                                    <span class="badge-label">0</span>
                                </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingOne"
                                data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <strong>This is the first item's accordion body.</strong> It is shown by default,
                                    until the collapse plugin adds the appropriate classes that we use to style each
                                    element. These classes control the overall appearance, as well as the showing and
                                    hiding via CSS transitions. You can modify any of this with custom CSS or overriding
                                    our default variables. It's also worth noting that just about any HTML can go within
                                    the <code>.accordion-body</code>, though the transition does limit overflow.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="contract-header">Contract</div>
                    <div class="menu-section">
                        <label for="name" class="payment-head">Inspection Fee</label>
                        <div class="dollar-input">
                            <input type="text" class="form-control" placeholder="00">
                        </div>
                    </div>
                    <hr class="contract">
                    <!--tab area start -->
                    <h1 class="subtitle">Please select a library</h1>
                    <div
                        class="ltn__tab-menu-3 ltn__tab-menu-top-right-- text-uppercase--- text-center---  section-bg-1 mb-10 p-1 ltn-border">
                        <div class="nav tabcontent">
                            <a data-bs-toggle="tab" href="#liton_tab_3_1" class="active show">Standard</a>
                            <a data-bs-toggle="tab" href="#liton_tab_3_2" class="">Company </a>
                            <a data-bs-toggle="tab" href="#liton_tab_3_3" class="">User</a>
                        </div>
                    </div>
                    <div class="tab-content">
                        <div class="tab-pane fade active show" id="liton_tab_3_2">
                            <div class="ltn__product-tab-content-inner">
                                <div class="tabmenu mb-20">
                                    <!-- Search Widget -->
                                    <div class="searchbox-input w-50">
                                        <input type="text" name="search" placeholder="Search.." class="form-control">
                                    </div>
                                    <a href="#" class="add-btn" data-bs-toggle="modal"
                                        data-bs-target="#add-contract"><img src="web_assets/img/bg/add-business-info.png">
                                        Add New</a>
                                </div>
                                <div class="section-menu">
                                    <div class="list-item">
                                        <label for="name" class="standard-head">Standard Contract</label>
                                        <button class="btn menubtn-add">Add</button>
                                    </div>
                                    <h6 class="paratext">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed
                                        diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed
                                        diam voluptuaLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam
                                        nonumy eirmod tempor invidunt sed diam voluptuaLorem ipsum dolor sit amet,
                                        consetetur sadipscing elitr, sed diam nonumy eirmod tempor.</h6>
                                </div>
                                <div class="section-menu">
                                    <div class="list-item">
                                        <label for="name" class="standard-head">Contract Version 2</label>
                                        <button class="btn menubtn-used">Used</button>
                                    </div>
                                    <h6 class="paratext">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed
                                        diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed
                                        diam voluptuaLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam
                                        nonumy eirmod tempor invidunt sed diam voluptuaLorem ipsum dolor sit amet,
                                        consetetur sadipscing elitr, sed diam nonumy eirmod tempor.</h6>
                                </div>

                                <div class="uploadcontract">
                                    <div class="left">
                                        <h2 class="title">Upload Contract Text</h2>
                                        <span>Please Upload Your Contract Text File(.pdf,.txt)</span>
                                    </div>
                                    <div class="right"><a href="#"><img src="web_assets/img/bg/download.png"><img
                                                src="web_assets/img/bg/uploadcontract.png" class="ps-2"></a></div>
                                </div>
                                <a hrf="#"><button class="btn btn-orange w-100 m-3">Save</a>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="liton_tab_3_1">
                            <div class="ltn__product-tab-content-inner">
                                <div class="tabmenu mb-20">
                                    <!-- Search Widget -->
                                    <div class="searchbox-input w-50">
                                        <input type="text" name="search" placeholder="Search.." class="form-control">
                                    </div>
                                    <a href="#" class="add-btn" data-bs-toggle="modal"
                                        data-bs-target="#add-contract"><img src="web_assets/img/bg/add-business-info.png">
                                        Add New</a>
                                </div>
                                <div class="section-menu">
                                    <div class="list-item">
                                        <label for="name" class="standard-head">Standard Contract</label>
                                        <button class="btn menubtn-add">Add</button>
                                    </div>
                                    <h6 class="paratext">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed
                                        diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed
                                        diam voluptuaLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam
                                        nonumy eirmod tempor invidunt sed diam voluptuaLorem ipsum dolor sit amet,
                                        consetetur sadipscing elitr, sed diam nonumy eirmod tempor.</h6>
                                </div>
                                <div class="section-menu">
                                    <div class="list-item">
                                        <label for="name" class="standard-head">Contract Version 2</label>
                                        <button class="btn menubtn-used">Used</button>
                                    </div>
                                    <h6 class="paratext">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed
                                        diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed
                                        diam voluptuaLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam
                                        nonumy eirmod tempor invidunt sed diam voluptuaLorem ipsum dolor sit amet,
                                        consetetur sadipscing elitr, sed diam nonumy eirmod tempor.</h6>
                                </div>

                                <div class="uploadcontract">
                                    <div class="left">
                                        <h2 class="title">Upload Contract Text</h2>
                                        <span>Please Upload Your Contract Text File(.pdf,.txt)</span>
                                    </div>
                                    <div class="right"><a href="#"><img src="web_assets/img/bg/download.png"><img
                                                src="web_assets/img/bg/uploadcontract.png" class="ps-2"></a></div>
                                </div>
                                <a hrf="#"><button class="btn btn-orange w-100 m-3">Save</a>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="liton_tab_3_3">
                            <div class="ltn__product-tab-content-inner">
                                <div class="tabmenu mb-20">
                                    <!-- Search Widget -->
                                    <div class="searchbox-input w-50">
                                        <input type="text" name="search" placeholder="Search.." class="form-control">
                                    </div>
                                    <a href="#" class="add-btn" data-bs-toggle="modal"
                                        data-bs-target="#add-contract"><img src="web_assets/img/bg/add-business-info.png">
                                        Add New</a>
                                </div>
                                <div class="section-menu">
                                    <div class="list-item">
                                        <label for="name" class="standard-head">Standard Contract</label>
                                        <button class="btn menubtn-add">Add</button>
                                    </div>
                                    <h6 class="paratext">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed
                                        diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed
                                        diam voluptuaLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam
                                        nonumy eirmod tempor invidunt sed diam voluptuaLorem ipsum dolor sit amet,
                                        consetetur sadipscing elitr, sed diam nonumy eirmod tempor.</h6>
                                </div>
                                <div class="section-menu">
                                    <div class="list-item">
                                        <label for="name" class="standard-head">Contract Version 2</label>
                                        <button class="btn menubtn-used">Used</button>
                                    </div>
                                    <h6 class="paratext">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed
                                        diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed
                                        diam voluptuaLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam
                                        nonumy eirmod tempor invidunt sed diam voluptuaLorem ipsum dolor sit amet,
                                        consetetur sadipscing elitr, sed diam nonumy eirmod tempor.</h6>
                                </div>

                                <div class="uploadcontract">
                                    <div class="left">
                                        <h2 class="title">Upload Contract Text</h2>
                                        <span>Please Upload Your Contract Text File(.pdf,.txt)</span>
                                    </div>
                                    <div class="right"><a href="#"><img src="web_assets/img/bg/download.png"><img
                                                src="web_assets/img/bg/uploadcontract.png" class="ps-2"></a></div>
                                </div>
                                <a hrf="#"><button class="btn btn-orange w-100 m-3">Save</a>
                            </div>
                        </div>
                    </div>

                    <!-- APARTMENTS PLAN AREA END -->
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="add-contract" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="title">Add New Contract</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>

                </div>
                <div class="headtitle">
                    <div class="text-center">Property Address<br><i class="fas fa-map-marker-alt"></i> 97 Duck Woods Dr
                        kitty Hawk Nc 27949</div>
                </div>
                <div class="modal-body">

                    <form class="form-row pt-3">
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <input type="text" id="exampleInputEmail1" class="form-control trial-input"
                                    placeholder="Title">
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <textarea name="description" placeholder="Contract Description..."
                                    class="form-control"></textarea>
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="check1" name="list1" value="">
                                <label class="form-check-label">Save to user Liabrary</label>
                            </div>
                        </div>
                        <a class="btn btn-orange w-75 m-5" href="create-edit-contract.php"
                            data-bs-dismiss="modal">Save</a>
                    </form>
                </div>

            </div>
        </div>
    </div>
    @endsection
@section('script')
<!-- <div class="accordion" id="contractaccordian">

    <div class="accordion-item">
        <h2 class="accordion-header" id="headingfour">
            <div class="accordian-item">
                <div class="left-item">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                        <span class="title"> Inspection Contract</span>
                </div>
                <div class="right-item">

                    <span class="badge-label">0</span>
                </div>
            </div>

        </h2>
        <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingfour" data-bs-parent="#faqAccordion">
            <div class="accordion-body">
                Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quos ducimus
                explicabo corrupti, accusamus nisi optio necessitatibus error ipsa
                doloremque natus consectetur commodi velit minus quod?
            </div>

        </div>
    </div>
</div> -->