@extends('layout.website')
@section('title') Gallery @endsection
@section('content')
    <div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image " data-bs-bg="web_assets/img/bg/14.jpg">
        <div class="container pt-0">
            <h1 class="page-title text-white">Gallery</h1>
            <div class="ltn__breadcrumb-list">
                <ul>
                    <li><a href="{{route('website.home')}}" class="ltn__secondary-color"><span class="ltn__secondary-color"><i
                                    class="fas fa-home"></i></span>
                            Home</a></li>
                    <li>Gallery View</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- Start MAIN CONTENT -->
    <div class="main_content">
        <div class="container">
            <div class="gallery-view mt-5">
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/green-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/1.jpg">
                </div>
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/orange-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/2.jpg">
                </div>
                <div class="gallery-item overlay-10">
                    <div class="check-item">
                        <img src="web_assets/img/bg/section/check.png">
                    </div>
                    <img src="web_assets/img/gallery/3.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/4.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/5.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/6.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/7.jpg">
                </div>
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/green-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/8.jpg">
                </div>
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/orange-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/9.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/10.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/1.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/2.jpg">
                </div>
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/orange-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/3.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/4.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/5.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/6.jpg">
                </div>
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/green-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/7.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/8.jpg">
                </div>
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/orange-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/9.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/10.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/1.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/2.jpg">
                </div>
                <div class="gallery-item">
                    <div class="flag-item">
                        <img src="web_assets/img/bg/section/green-flag.png">
                    </div>
                    <img src="web_assets/img/gallery/3.jpg">
                </div>
                <div class="gallery-item">
                    <img src="web_assets/img/gallery/4.jpg">
                </div>
                <div class="m-4">
                    <a href="#"><img src="web_assets/img/bg/report-icon.png" class="mx-1">Assign</a>
                </div>
            </div>
        </div>
    </div>

    @endsection
    @section('script')
    @endsection