<?php
    use App\Helpers\Admin as AdminHelper;
    $curentUser = AdminHelper::currentUser();
    
use App\Helpers\NotificationHelper;
// $dashboard = AdminHelper::checkPermission($curentUser->id,'Dashboard','View');
$users = AdminHelper::checkPermission($curentUser->id,'Users','View');
// $restaurants = AdminHelper::checkPermission($curentUser->id,'Restaurants','View');
// $orders = AdminHelper::checkPermission($curentUser->id,'Orders','View');
// $subscription = AdminHelper::checkPermission($curentUser->id,'Subscription','View');
// $subscriber = AdminHelper::checkPermission($curentUser->id,'Subscriber','View');
// $sub_admins = AdminHelper::checkPermission($curentUser->id,'Sub Admins','View');
// $earnings = AdminHelper::checkPermission($curentUser->id,'Earnings','View');
// $notifications = AdminHelper::checkPermission($curentUser->id,'Notifications','View');
// $reports = AdminHelper::checkPermission($curentUser->id,'Reports','View');
// $settings = AdminHelper::checkPermission($curentUser->id,'Settings','View');
$static_content = AdminHelper::checkPermission($curentUser->id,'Static Content','View');
$faq = AdminHelper::checkPermission($curentUser->id,'FAQ','View');

?>

<aside id="leftsidebar" class="sidebar">
    <div class="user-info">
        <div class="image">
            <!-- <img src="<?php echo e(asset('assets/images/profile_av.jpg')); ?>" width="48" height="48" alt="User" /> -->
             <?php if($curentUser->profile_image == ""): ?>
            <img src="<?php echo e(asset('assets/webimages/placeholder.jpg')); ?>" width="48" height="48" alt="User" />
                <?php else: ?>
                            <img src="<?php echo env('project_image_path').'profile/'.$curentUser->profile_image; ?>" width="48" height="48" alt="User"/>
                <?php endif; ?>
        </div>
        <div class="info-container">
            <div class="name" data-toggle="dropdown"><?php echo e($curentUser->name); ?></div>
            <div class="btn-group user-helper-dropdown">
                <i class="material-icons" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" role="button"> keyboard_arrow_down </i>
                <ul class="dropdown-menu slideUp">
                    <li><a href="<?php echo e(route('admin.change.password')); ?>"><i class="material-icons">person</i>Change Password</a></li>
                    <?php if($curentUser->role == '1'): ?>
                    <li class="divider"></li>
                    <li><a href="<?php echo e(route('admin.setting.list')); ?>"><i class="zmdi zmdi-settings zmdi-hc-spin material-icons"></i> Settings</a></li>
                <!--     <li><a href="<?php echo e(route('admin.homedesigncontent.list')); ?>"><i class="zmdi zmdi-group material-icons"></i>Home Design Content</a></li> -->
                    <?php endif; ?>

                    <li class="divider"></li>
                    <li><a href="<?php echo e(route('admin.logout')); ?>" onclick="loader('show');"><i class="material-icons">input</i>Sign Out</a></li>
                </ul>
            </div>
            <div class="email"><?php echo e($curentUser->email); ?></div>
        </div>
    </div>
   
    <div class="menu">
        <ul class="list">
            <li <?php if(Request::segment(2)=='dashboard'): ?> class="active" <?php endif; ?>> <a href="<?php echo e(route('admin.dashboard')); ?>"><i class="zmdi zmdi-home"></i><span>Dashboard</span> </a> </li>
            <?php if($users == 1 || $curentUser->role == '1'): ?>
            <li class="<?php echo e(AdminHelper::isCurrentRoute(['admin.user.list'])); ?>"> <a href="<?php echo e(route('admin.user.list')); ?>"><i class="zmdi zmdi-account-box"></i><span>Users</span> </a> </li>
            <?php endif; ?>

            <?php if($users == 1 || $curentUser->role == '1'): ?>
            <li class="<?php echo e(AdminHelper::isCurrentRoute(['admin.reports.list'])); ?>"> <a href="<?php echo e(route('admin.reports.list')); ?>"><i class="zmdi zmdi-account-box"></i><span>Reports</span> </a> </li>
            <?php endif; ?>
            <?php if($users == 1 || $curentUser->role == '1'): ?>
            <li class="<?php echo e(AdminHelper::isCurrentRoute(['admin.payout.list'])); ?>"> <a href="<?php echo e(route('admin.payout.list')); ?>"><i class="zmdi zmdi-account-box"></i><span>Payouts</span> </a> </li>
            <?php endif; ?>

            <?php if($static_content == 1 || $curentUser->role == '1'): ?>
              <li <?php if(Request::segment(2)=='staticcontent'): ?> class="active" <?php endif; ?>> <a href="<?php echo e(route('admin.staticpages.list')); ?>"><i class="zmdi zmdi-laptop-chromebook"></i><span>Static Content</span> </a> </li>
            <?php endif; ?>
             <?php if($faq == 1 || $curentUser->role == '1'): ?>
              <li <?php if(Request::segment(2)=='faq'): ?> class="active" <?php endif; ?>> <a href="<?php echo e(route('admin.faq.list')); ?>"><i class="zmdi zmdi-help"></i><span>FAQ</span> </a> </li>
            <?php endif; ?>
        
            

         
        </ul>
    </div>
</aside>
<?php /**PATH /var/www/html/homespector/web/resources/views/admin/common/sidebar.blade.php ENDPATH**/ ?>