<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <meta name="baseUrl" content="<?php echo e(url('/')); ?>">
        <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('app.name')); ?></title>
        <?php echo $__env->make('admin.common.stylesheet', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
     
        <?php echo $__env->yieldContent('css'); ?>
        
    </head>
    <body class="theme-orange">
        <?php echo $__env->make('admin.common.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="page-wrapper">
            <?php echo $__env->make('admin.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->make('admin.common.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->yieldContent('content'); ?>
            <?php echo $__env->yieldContent('modal'); ?>
        </div>
        <?php echo $__env->make('admin.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('admin.common.toastNotification', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </body>
    <style>
        .attribute_div,
        .attr_combination_div {
        border: solid gray;
        }
        [type="checkbox"]:not(:checked), [type="checkbox"]:checked{
            opacity: unset!important;
        }
        </style>
</html>
<?php /**PATH /var/www/html/homespector/web/resources/views/layout/admin.blade.php ENDPATH**/ ?>